Bug 156433 - system-config-printer reports No match for USB device: Brother MFC-8440
system-config-printer reports No match for USB device: Brother MFC-8440
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-04-29 22:39 EDT by Douglas Wooster
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-03 08:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Douglas Wooster 2005-04-29 22:39:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
Using system-config-printer to set up a Brother MFC-8440 multifunction PostScript printer, connected via USB.
In the Printer Model panel of Add a new print queue, there is no entry for MFC-8440.  I think the closest entry is HL-5050 (the MFC-8440 uses the same print engine as the HL-5150D and HL-5170DN, which replace the HL-5050, but the MFC-8440 does not duplex).  
The following messages are sent to the terminal session where system-config-printer was started:
No match for USB device:
  mfr "Brother"
  model "MFC-8440"
  desc ""
  cmdset "HBP,PJL,PCL,PCLXL"
Please report this message in Bugzilla:
Choose 'foomatic' as the component.
looking for type: got text/plain

I tried using the Action > Import PPD ... menu item to install the PPD which came with the printer (BR8440_2.ppd).  It said it imported it, but that had no effect on this problem.  There was no place which I could find, to tell it to actually use the imported PPD.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Obtain an MFC-8440, power it on, and connect it to a USB port
2.From a terminal, issue system-config-printer
3.Action > New queue
4.On the Add a new print queue panel, click Forward
5.On the Queue name panel, click Forward
6.On the Queue type panel, select Locally-connected, then select the MFC-8440 in the listbox.  Finally, click Forward
7.On the Printer model panel, select Brother as the manufacturer
8.Scroll the list of printer models, with intent to select MFC-8440

Actual Results:  The list of printer models (step 8, above) does not contain an MFC-8440 entry.

Expected Results:  Find an MFC-8440 entry and select it

Additional info:

1. Using Import PPD and importing an MFC-8440 PPD does not create an MFC-8440 entry in the Brother Printer model list.  Don't know if it should, or not.
2. Can't find anything that is supposed to happen, when you have imported a PPD.
3. Selecting HL-5050 as the Printer model works, so far (at least, it prints acceptable test pages)
4. There are also no entries for the MFC-8840D and MFC-8840DN, which are similar to the MFC-8440, but add duplexing (the MFC-8840DN also adds an ethernet interface).
5. When HL-5050 is selected as the model, system-config-printer correctly chooses the PostScript printer driver.

Question:  how do I get it to use the PPD which came with the printer, or, how do I determine what PPD it is currently using, or, how does the Import PPD ... action get associated with a printer?
Comment 1 Douglas Wooster 2005-04-29 22:43:11 EDT
My email address has changed to DMW at isomedia dot com, but bugzilla insists on
keeping my old email address, which probably no longer works.  Please use the
isomedia dot com address, if you need to contact me.
Comment 2 Tim Waugh 2005-05-03 08:33:34 EDT
Thanks for the report.  There is no entry for this model in the foomatic
database at all.  Please submit this information to the linuxprinting project at:


so that it can be added.  Thanks.
Comment 3 Douglas Wooster 2005-05-29 01:40:50 EDT
Data submitted 29MAY05.

Note You need to log in before you can comment on or make changes to this bug.